#!/usr/bin/bash

BASE_DIR=$(realpath "$0")
BASE_DIR=$(dirname "$BASE_DIR")
export BASE_DIR
export PATH="${BASE_DIR}:$PATH"

DOMAIN_NAME='' PC_NAME='' ADMIN_NAME='' ADMIN_PASS='' IPA=''

while getopts "d:n:u:I" OPTION; do
  case $OPTION in
    'd') DOMAIN_NAME="$OPTARG" ;;
    'n') PC_NAME="$OPTARG" ;;
    'u') ADMIN_NAME="$OPTARG" ;;
    'I') IPA="-I" ;;
    *) exit 1 ;;
  esac
done

shift $((OPTIND-1))
OPTIND=1

ADMIN_PASS=$(</dev/stdin)

. ${BASE_DIR}/join-to-domain-function.sh || exit 1
CheckPCInDomain -u "$ADMIN_NAME" -n "$PC_NAME" -d "$DOMAIN_NAME"  -p "$ADMIN_PASS" $IPA
